package com.dayu.general.bean.card

class CardCommon {

    val ERROR: Int = -1
    //连接中断 提示用户重新连接或提示用户重新靠近卡片

    val ERROR_MOVE: Int = -2

    /**
     * 用户刷卡开泵前
     */

    val USER_CARD_TYPE_1: String = "A1"

    /**
     * 用户刷卡开泵后
     */

    val USER_CARD_TYPE_2: String = "A8"

    /**
     * 用户叠加充值
     */

    val USER_CARD_TYPE_3: String = "A2"


    /**
     * 设置区域表号卡
     */

    val REGION: String = "B0"


    /**
     * 设置用户电量单价卡
     */

    val ELECTRIC_PRICE: String = "B1"


    /**
     * 管理卡
     */

    val MANAGE_CRAD: String = "B2"


    /**
     * 清零卡
     */

    val CLEAN_CARD_TYPE: String = "C8"


    /**
     * 密码卡
     */

    val PASS_WORD_CRAD_TYPE: String = "B3"


    /**
     * 配置黑卡  当用户丢失卡时，需要在对应的控制器把此用户配置为黑户，防止非法用水
     */

    val BLACK: String = "B4"


    /**
     * 以下未用到
     * *****************************************************************************************************************************************
     */
    /**
     * 重新注册设备卡
     */

    val REGISTERED_CARD_TYPE: String = "BA"

    /**
     * 删除全部用户卡
     */

    val CLEAN_ALL_USER_CARD_TYPE: String = "BB"

    /**
     * 设置域名卡
     */

    val DOMAIN_CARD_TYPE: String = "C1"

    /**
     * 测试卡
     */

    val TEST_CARD_TYPE: String = "A4"

    /**
     * 配置设备注册信息卡
     */

    val CONFIGURATION_CARD_TYPE: String = "BC"

    /**
     * 配置水泵功率卡
     */

    val CONFIGURATION_POWER_CARD_TYPE: String = "BD"

    /**
     * 获取默认的卡标识
     *
     * @param cardType 卡片类型
     * @return 卡内容
     */
    fun getDefaultCardData(cardType: String?): String {
        var cardData = ""
        when (cardType) {
            CLEAN_CARD_TYPE -> cardData = "3668F7A30119"
            MANAGE_CRAD, REGISTERED_CARD_TYPE, CLEAN_ALL_USER_CARD_TYPE, TEST_CARD_TYPE, CONFIGURATION_CARD_TYPE, CONFIGURATION_POWER_CARD_TYPE, PASS_WORD_CRAD_TYPE, BLACK, ELECTRIC_PRICE -> cardData =
                "A0B1C289"
        }
        return cardData
    }

    companion object {
        fun getDefaultCardData(cardType: String?): String? {
            return getDefaultCardData(cardType)
        }
    }
}